View Single Post
  #1  
Old 29th March 2010, 00:44
zetnsh zetnsh is offline
Senior Member
 
Join Date: Aug 2007
Posts: 111
Thanks: 8
Thanked 5 Times in 5 Posts
Default ISPConfig 2 open_basedir problem, PHP 5.2.10/ISPConfig 2.2.35

Hi there,

Trying to deploy a new ISPConfig 2 install as a replacement for an older server. I'm running ISPConfig 2.2.35 on Ubuntu 9.10, with suPHP.

One website I'm trying to get running uses PHP's curl functions, and in particular I'm getting this error:

Code:
Warning: curl_setopt() [function.curl-setopt]: CURLOPT_FOLLOWLOCATION cannot be activated when in safe_mode or an open_basedir is set in /var/www/web8/....... on line xxx
(details removed for security reasons!

Now, PHPs safe mode is definately NOT turned on for this site, but testing phpinfo() on that server reveals that open_basedir is set to /var/www/web8

That's certainly NOT set anywhere in a php.ini, and it's not set anywhere in Vhosts_ispconfig.conf, so I'm struggling to find where that is being turned on, and it's not anywhere from the website code. On the old server it's migrating from, open_basedir doesn't appear to have a value.

More information: PHP is at version 5.2.10 on the newer ubuntu server, and at 5.1.6 on the older fedora server I'm trying to decommission. On the new server ISPConfig is at version 2.2.35 and the old server at version 2.2.19.

I've also noticed that the newer PHP seems to contain the Suhosin patch (hardened PHP) whilst the old one doesn't. Could that be it?

Any help gratefully received,

Neil

Last edited by zetnsh; 29th March 2010 at 00:48. Reason: Information about Suhosin patch
Reply With Quote
Sponsored Links